package com.loafle.rpc.api;

import com.fasterxml.jackson.core.JsonProcessingException;

import com.googlecode.jsonrpc4j.JsonRpcMethod;
import com.googlecode.jsonrpc4j.JsonRpcService;
import com.loafle.rpc.crawler.Crawler;

import com.loafle.rpc.model.Output;




@JsonRpcService("/rpc")
public interface Remote {

    @JsonRpcMethod("RPC.init")
    Output init(String[] paths) throws JsonProcessingException;


    @JsonRpcMethod("RPC.add")
    Output add(String type, String id) throws JsonProcessingException ;

//    @JsonRpcMethod("Remote.remove")
    int addDelegate(String name , Crawler crawler);

    @JsonRpcMethod("RPC.get")
    Output get(String type, String id) throws JsonProcessingException;


    @JsonRpcMethod("RPC.remove")
    Output remove(String type, String id) throws JsonProcessingException;


}